//
// sha1.inl
//
// NIST/NSA's Secure Hash Algorithm
// (as defined in FIPS180-1)
//
// this implementation
// Copyright (C) 1996-7 by Leonard Janke (janke@unixg.ubc.ca)

inline void SHA1::Scramble(u32& a, u32& b, u32& c, u32& d, u32& e, u32* X)
{
  LC_SHA1_Scramble(&a,&b,&c,&d,&e,X);
}
